import request from '@/utils/httpRequest';
import { FINANCE_PATH as prefix } from "../../AppPath";

export default class ReportSignAndIssueService {
	queryByReportId (id) {
		return request({
			url: prefix + '/cwProjectReport/signAndIssue/queryByReportId',
			method: 'get',
			params: {id: id}
		})
	}
	updateStatusByReportId (data) {
		return request({
			url: prefix + '/cwProjectReport/signAndIssue/updateStatusByReportId',
			method: 'post',
			data: data
		})
	}
	saveForm (param) {
		return request({
			url: prefix + '/cwProjectReport/signAndIssue/saveForm',
			method: 'post',
			data: param
		})
	}
	delete(id) {
		return request({
			url: prefix + '/cwProjectReport/signAndIssue/delete',
			method: 'delete',
			params: {id: id}
		})
	}
}
